#include "chdecl.h"
void CH_chcode_chgetoptions(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto cb8;
    case 6: goto c9;
    case 7: goto cb12;
    case 8: goto c13;
    case 9: goto cb16;
    case 10: goto c17;
    case 11: goto cb20;
    case 12: goto c21;
    case 13: goto cb24;
    case 14: goto c25;
    case 15: goto cb81;
    case 16: goto c82;
    case 17: goto cb95;
    case 18: goto c96;
    case 19: goto cb98;
    case 20: goto c99;
    case 21: goto cb103;
    case 22: goto c104;
    case 23: goto cb106;
    case 24: goto c107;
    case 25: goto c108;
    case 26: goto c110;
    case 27: goto c112;
    case 28: goto cb124;
    case 29: goto c125;
    case 30: goto c149;
    case 31: goto cb150;
    case 32: goto c151;
    case 33: goto c154;
    case 34: goto cb157;
    case 35: goto c158;
    case 36: goto cb163;
    case 37: goto c164;
    case 38: goto c168;
    case 39: goto c179;
    case 40: goto c182;
    case 41: goto cb183;
    case 42: goto c184;
    case 43: goto c185;
    case 44: goto cb189;
    case 45: goto c190;
    case 46: goto c200;
    case 47: goto c209;
    case 48: goto c220;
    case 49: goto c222;
    case 50: goto cb223;
    case 51: goto c224;
    case 52: goto c225;
    case 53: goto cb237;
    case 54: goto c238;
    case 55: goto c239;
    case 56: goto cb243;
    case 57: goto c244;
    case 58: goto c246;
    case 59: goto c250;
    case 60: goto c259;
    case 61: goto c260;
    case 62: goto c263;
    case 63: goto c272;
    case 64: goto c282;
    case 65: goto c292;
    case 66: goto c294;
    case 67: goto c296;
    case 68: goto c300;
    case 69: goto cb304;
    case 70: goto c305;
    case 71: goto c307;
    case 72: goto c310;
    case 73: goto c320;
    case 74: goto c332;
    case 75: goto c339;
    case 76: goto c341;
    case 77: goto c342;
    case 78: goto c345;
    case 79: goto cb348;
    case 80: goto c349;
    case 81: goto c361;
    case 82: goto c380;
    case 83: goto c383;
    case 84: goto cb389;
    case 85: goto c390;
    case 86: goto cb397;
    case 87: goto c398;
    case 88: goto cb399;
    case 89: goto c400;
    case 90: goto c408;
    case 91: goto cb424;
    case 92: goto c425;
    case 93: goto c430;
    case 94: goto c431;
    case 95: goto c433;
    case 96: goto cb438;
    case 97: goto c439;
    case 98: goto cb443;
    case 99: goto c444;
    case 100: goto c447;
    case 101: goto c454;
    case 102: goto c456;
    case 103: goto cb460;
    case 104: goto c461;
    case 105: goto c465;
    case 106: goto c471;
    case 107: goto c476;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* chs_lit 4 , "pathLoad" */
  if( !chs_lit(DEF(4),"pathLoad") ) goto ch_depletion;
/* chs_lit 5 , "" */
  if( !chs_lit(DEF(5),"") ) goto ch_depletion;
  current->ip = 3;
cb5:
/* call 3.1.2 4 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* unwrap 7 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "main_options" */
  if( !chs_lit(DEF(8),"main_options") ) goto ch_depletion;
  current->ip = 5;
cb8:
/* call 7 8 9 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
/* create 10 9 , 5 */
  if ((ch_returncode = che_create(DEF(10),DEF(9),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* chs_lit 11 , "chc" */
  if( !chs_lit(DEF(11),"chc") ) goto ch_depletion;
  current->ip = 7;
cb12:
/* call 10 3.0 11 3.1 12 13 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(10),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(11),
          arguments[3] = DEF(3)DOT(1),
          arguments[4] = DEF(12),
          arguments[5] = DEF(13),
          arguments[5+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c13:
/* move 3.0 13 */
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(0) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* chs_lit 14 , "stdio" */
  if( !chs_lit(DEF(14),"stdio") ) goto ch_depletion;
/* chs_lit 15 , "" */
  if( !chs_lit(DEF(15),"") ) goto ch_depletion;
  current->ip = 9;
cb16:
/* call 3.1.2 14 15 16 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(2),
          arguments[1] = DEF(14),
          arguments[2] = DEF(15),
          arguments[3] = DEF(16),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c17:
/* unwrap 17 16 , 7 */
  if ((ch_returncode = che_unwrap(DEF(17),DEF(16),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 18 , "environ" */
  if( !chs_lit(DEF(18),"environ") ) goto ch_depletion;
/* chs_lit 19 , "" */
  if( !chs_lit(DEF(19),"") ) goto ch_depletion;
  current->ip = 11;
cb20:
/* call 3.1.2 18 19 20 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(2),
          arguments[1] = DEF(18),
          arguments[2] = DEF(19),
          arguments[3] = DEF(20),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c21:
/* unwrap 21 20 , 8 */
  if ((ch_returncode = che_unwrap(DEF(21),DEF(20),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 22 , "getCwd" */
  if( !chs_lit(DEF(22),"getCwd") ) goto ch_depletion;
/* chs_lit 23 , "" */
  if( !chs_lit(DEF(23),"") ) goto ch_depletion;
  current->ip = 13;
cb24:
/* call 3.1.2 22 23 24 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(2),
          arguments[1] = DEF(22),
          arguments[2] = DEF(23),
          arguments[3] = DEF(24),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c25:
/* unwrap 25 24 , 9 */
  if ((ch_returncode = che_unwrap(DEF(25),DEF(24),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 26 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(26),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 27 26 , 11 */
  if ((ch_returncode = che_procedure(DEF(27),DEF(26),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* move 28 27 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28) = REF(27);
  REF(27).tsdr = & dr_bottom;
/* new_record 3.2 , 17 */
  if ((ch_val.record = new_record(17)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2).value = ch_val; REF(3)DOT(2).tsdr = & dr_record;
/* boolean 29 , FALSE */
  REF(29).value.boolean = FALSE;
  REF(29).tsdr = & dr_boolean;
/* chs_lit 30 , "verbose" */
  if( !chs_lit(DEF(30),"verbose") ) goto ch_depletion;
/* find_or_goto 31 12 30 , 0,35 */
  if (findfunc(DEF(31),DEF(12),(
          arguments[0] = DEF(30),& arguments[0]),sched,0) == FAILURE) goto c35;
/* boolean 29 , TRUE */
  REF(29).value.boolean = TRUE;
  REF(29).tsdr = & dr_boolean;
c35:
/* move 3.2.0 29 */
  REF(3)DOT(2)DOT(0) = REF(29);
  REF(29).tsdr = & dr_bottom;
/* boolean 32 , FALSE */
  REF(32).value.boolean = FALSE;
  REF(32).tsdr = & dr_boolean;
/* chs_lit 33 , "quiet" */
  if( !chs_lit(DEF(33),"quiet") ) goto ch_depletion;
/* find_or_goto 34 12 33 , 0,40 */
  if (findfunc(DEF(34),DEF(12),(
          arguments[0] = DEF(33),& arguments[0]),sched,0) == FAILURE) goto c40;
/* boolean 32 , TRUE */
  REF(32).value.boolean = TRUE;
  REF(32).tsdr = & dr_boolean;
c40:
/* move 3.2.1 32 */
  REF(3)DOT(2)DOT(1) = REF(32);
  REF(32).tsdr = & dr_bottom;
/* boolean 35 , FALSE */
  REF(35).value.boolean = FALSE;
  REF(35).tsdr = & dr_boolean;
/* chs_lit 36 , "comment" */
  if( !chs_lit(DEF(36),"comment") ) goto ch_depletion;
/* find_or_goto 37 12 36 , 0,45 */
  if (findfunc(DEF(37),DEF(12),(
          arguments[0] = DEF(36),& arguments[0]),sched,0) == FAILURE) goto c45;
/* boolean 35 , TRUE */
  REF(35).value.boolean = TRUE;
  REF(35).tsdr = & dr_boolean;
c45:
/* move 3.2.2 35 */
  REF(3)DOT(2)DOT(2) = REF(35);
  REF(35).tsdr = & dr_bottom;
/* boolean 38 , FALSE */
  REF(38).value.boolean = FALSE;
  REF(38).tsdr = & dr_boolean;
/* chs_lit 39 , "fullpaths" */
  if( !chs_lit(DEF(39),"fullpaths") ) goto ch_depletion;
/* find_or_goto 40 12 39 , 0,50 */
  if (findfunc(DEF(40),DEF(12),(
          arguments[0] = DEF(39),& arguments[0]),sched,0) == FAILURE) goto c50;
/* boolean 38 , TRUE */
  REF(38).value.boolean = TRUE;
  REF(38).tsdr = & dr_boolean;
c50:
/* move 3.2.5 38 */
  REF(3)DOT(2)DOT(5) = REF(38);
  REF(38).tsdr = & dr_bottom;
/* boolean 41 , FALSE */
  REF(41).value.boolean = FALSE;
  REF(41).tsdr = & dr_boolean;
/* chs_lit 42 , "keepc" */
  if( !chs_lit(DEF(42),"keepc") ) goto ch_depletion;
/* find_or_goto 43 12 42 , 0,55 */
  if (findfunc(DEF(43),DEF(12),(
          arguments[0] = DEF(42),& arguments[0]),sched,0) == FAILURE) goto c55;
/* boolean 41 , TRUE */
  REF(41).value.boolean = TRUE;
  REF(41).tsdr = & dr_boolean;
c55:
/* move 3.2.6 41 */
  REF(3)DOT(2)DOT(6) = REF(41);
  REF(41).tsdr = & dr_bottom;
/* boolean 44 , FALSE */
  REF(44).value.boolean = FALSE;
  REF(44).tsdr = & dr_boolean;
/* chs_lit 45 , "keepobj" */
  if( !chs_lit(DEF(45),"keepobj") ) goto ch_depletion;
/* find_or_goto 46 12 45 , 0,60 */
  if (findfunc(DEF(46),DEF(12),(
          arguments[0] = DEF(45),& arguments[0]),sched,0) == FAILURE) goto c60;
/* boolean 44 , TRUE */
  REF(44).value.boolean = TRUE;
  REF(44).tsdr = & dr_boolean;
c60:
/* move 3.2.7 44 */
  REF(3)DOT(2)DOT(7) = REF(44);
  REF(44).tsdr = & dr_bottom;
/* boolean 47 , FALSE */
  REF(47).value.boolean = FALSE;
  REF(47).tsdr = & dr_boolean;
/* chs_lit 48 , "storec" */
  if( !chs_lit(DEF(48),"storec") ) goto ch_depletion;
/* find_or_goto 49 12 48 , 0,65 */
  if (findfunc(DEF(49),DEF(12),(
          arguments[0] = DEF(48),& arguments[0]),sched,0) == FAILURE) goto c65;
/* boolean 47 , TRUE */
  REF(47).value.boolean = TRUE;
  REF(47).tsdr = & dr_boolean;
c65:
/* move 3.2.8 47 */
  REF(3)DOT(2)DOT(8) = REF(47);
  REF(47).tsdr = & dr_bottom;
/* boolean 50 , FALSE */
  REF(50).value.boolean = FALSE;
  REF(50).tsdr = & dr_boolean;
/* chs_lit 51 , "nostoreobj" */
  if( !chs_lit(DEF(51),"nostoreobj") ) goto ch_depletion;
/* find_or_goto 52 12 51 , 0,70 */
  if (findfunc(DEF(52),DEF(12),(
          arguments[0] = DEF(51),& arguments[0]),sched,0) == FAILURE) goto c70;
/* boolean 50 , TRUE */
  REF(50).value.boolean = TRUE;
  REF(50).tsdr = & dr_boolean;
c70:
/* not 3.2.10 50 */
  REF(3)DOT(2)DOT(10).value.boolean = !REF(50).value.boolean;
  REF(3)DOT(2)DOT(10).tsdr = & dr_boolean;
/* boolean 53 , FALSE */
  REF(53).value.boolean = FALSE;
  REF(53).tsdr = & dr_boolean;
/* chs_lit 54 , "notransform" */
  if( !chs_lit(DEF(54),"notransform") ) goto ch_depletion;
/* find_or_goto 55 12 54 , 0,76 */
  if (findfunc(DEF(55),DEF(12),(
          arguments[0] = DEF(54),& arguments[0]),sched,0) == FAILURE) goto c76;
/* boolean 53 , TRUE */
  REF(53).value.boolean = TRUE;
  REF(53).tsdr = & dr_boolean;
c76:
/* not 3.2.12 53 */
  REF(3)DOT(2)DOT(12).value.boolean = !REF(53).value.boolean;
  REF(3)DOT(2)DOT(12).tsdr = & dr_boolean;
/* block , 12 */
  if((ch_returncode = che_block(QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 56 , "load" */
  if( !chs_lit(DEF(56),"load") ) goto ch_depletion;
/* find 57 12 56 , 0 */
  if (findfunc(DEF(57),DEF(12),(
          arguments[0] = DEF(56),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 15;
cb81:
/* call 28 57.1 58 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(57)DOT(1),
          arguments[2] = DEF(58),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c82:
/* move 59 58 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(58);
  REF(58).tsdr = & dr_bottom;
/* chs_lit 60 , "" */
  if( !chs_lit(DEF(60),"") ) goto ch_depletion;
/* equal 61 59 60 */
  REF(61).value.boolean = (eq_table(REF(59).value,REF(60).value));
  REF(61).tsdr = & dr_boolean;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* branch_false 61 , 93 */
  if ( !REF(61).value.boolean ) goto c93;
/* lookup_at 62 59 =(0) */
  if ( !((ch_t = REF(59).value.table)->size) ) goto ch_notfound;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(62).value,0);
  REF(62).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 63 62 */
  if((ch_returncode = (REF(62).tsdr->copy)(& ch_val, REF(62).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = datarepmap[REF(62).tsdr->number];
/* exit , 14 */
  ch_e = handler_type__exit; ch_val = QUAL(14); goto ch_exception;
c93:
/* chs_lit 64 , "load" */
  if( !chs_lit(DEF(64),"load") ) goto ch_depletion;
/* chs_lit 65 , "" */
  if( !chs_lit(DEF(65),"") ) goto ch_depletion;
  current->ip = 17;
cb95:
/* call 3.1.2 64 65 66 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(2),
          arguments[1] = DEF(64),
          arguments[2] = DEF(65),
          arguments[3] = DEF(66),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c96:
/* unwrap 67 66 , 3 */
  if ((ch_returncode = che_unwrap(DEF(67),DEF(66),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 68 , "findfile" */
  if( !chs_lit(DEF(68),"findfile") ) goto ch_depletion;
  current->ip = 19;
cb98:
/* call 7 68 69 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(68),
          arguments[2] = DEF(69),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c99:
/* create 70 69 , 15 */
  if ((ch_returncode = che_create(DEF(70),DEF(69),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* move 71 70 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71) = REF(70);
  REF(70).tsdr = & dr_bottom;
/* chs_lit 72 , "pathload" */
  if( !chs_lit(DEF(72),"pathload") ) goto ch_depletion;
  current->ip = 21;
cb103:
/* call 7 72 73 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(72),
          arguments[2] = DEF(73),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c104:
/* create 74 73 , 16 */
  if ((ch_returncode = che_create(DEF(74),DEF(73),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
  current->ip = 23;
cb106:
/* call 71 17.11 25 59 75 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(71),
          arguments[1] = DEF(17)DOT(11),
          arguments[2] = DEF(25),
          arguments[3] = DEF(59),
          arguments[4] = DEF(75),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c107:
/* call 74 67 75 3.2.3 , 18 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(74),
          arguments[1] = DEF(67),
          arguments[2] = DEF(75),
          arguments[3] = DEF(3)DOT(2)DOT(3),
          arguments[3+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  return;
c108:
/* endblock */
  che_endblock(sched);
/* branch , 112 */
   goto c112;
c110:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* copy 3.2.3 7 */
  if((ch_returncode = cp_outport(& ch_val, REF(7).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(2)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(3).value = ch_val;
  REF(3)DOT(2)DOT(3).tsdr = & dr_outport;
c112:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* discard 72 */
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* block , 19 */
  if((ch_returncode = che_block(QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 76 , "store" */
  if( !chs_lit(DEF(76),"store") ) goto ch_depletion;
/* find 77 12 76 , 0 */
  if (findfunc(DEF(77),DEF(12),(
          arguments[0] = DEF(76),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 28;
cb124:
/* call 28 77.1 78 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(77)DOT(1),
          arguments[2] = DEF(78),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c125:
/* move 59 78 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(78);
  REF(78).tsdr = & dr_bottom;
/* chs_lit 79 , "" */
  if( !chs_lit(DEF(79),"") ) goto ch_depletion;
/* equal 80 59 79 */
  REF(80).value.boolean = (eq_table(REF(59).value,REF(79).value));
  REF(80).tsdr = & dr_boolean;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* branch_false 80 , 136 */
  if ( !REF(80).value.boolean ) goto c136;
/* lookup_at 81 59 =(0) */
  if ( !((ch_t = REF(59).value.table)->size) ) goto ch_notfound;
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(81).value,0);
  REF(81).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 63 81 */
  if((ch_returncode = (REF(81).tsdr->copy)(& ch_val, REF(81).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = datarepmap[REF(81).tsdr->number];
/* exit , 14 */
  ch_e = handler_type__exit; ch_val = QUAL(14); goto ch_exception;
c136:
/* size 82 59 */
  REF(82).value.integer = REF(59).value.table->size;
  REF(82).tsdr = & dr_integer;
/* isubtract 83 82 =(1) */
  if (!chf_isubtract(DEF(83),REF(82).value.integer,1)) goto ch_depletion;
/* lookup_at 84 59 83 */
  if((ch_i = REF(83).value.integer) < 0 || ch_i >= (ch_t = REF(59).value
    .table)->size) goto ch_notfound;
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(84).value,ch_i);
  REF(84).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 85 84 */
  REF(85) = REF(84);
/* equal . 85 =(47) , 146 */
  if ( REF(85).value.ord_enum == 47 ) goto c146;
/* ordenum_lit 86 , 47 */
  REF(86).value.ord_enum = 47;
  REF(86).tsdr = & dr_ord_enumeration;
/* insert 59 86 */
  if ((ch_returncode = insertfunc(DEF(59),DEF(86),FALSE,0)) != Normal)
     goto ch_raise_exception;
c146:
/* move 3.2.4 59 */
  (*(REF(3)DOT(2)DOT(4).tsdr)->finalize)(REF(3)DOT(2)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4) = REF(59);
  REF(59).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 154 */
   goto c154;
c149:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
  current->ip = 31;
cb150:
/* call 25 87 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(87),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c151:
/* move 3.2.4 87 */
  (*(REF(3)DOT(2)DOT(4).tsdr)->finalize)(REF(3)DOT(2)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4) = REF(87);
  REF(87).tsdr = & dr_bottom;
/* ordenum_lit 88 , 47 */
  REF(88).value.ord_enum = 47;
  REF(88).tsdr = & dr_ord_enumeration;
/* insert 3.2.4 88 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4),DEF(88)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c154:
/* block , 21 */
  if((ch_returncode = che_block(QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 89 , "storec" */
  if( !chs_lit(DEF(89),"storec") ) goto ch_depletion;
/* find 90 12 89 , 0 */
  if (findfunc(DEF(90),DEF(12),(
          arguments[0] = DEF(89),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 34;
cb157:
/* call 28 90.1 91 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(90)DOT(1),
          arguments[2] = DEF(91),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c158:
/* move 59 91 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(91);
  REF(91).tsdr = & dr_bottom;
/* chs_lit 92 , "" */
  if( !chs_lit(DEF(92),"") ) goto ch_depletion;
/* equal 93 59 92 */
  REF(93).value.boolean = (eq_table(REF(59).value,REF(92).value));
  REF(93).tsdr = & dr_boolean;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* branch_false 93 , 168 */
  if ( !REF(93).value.boolean ) goto c168;
  current->ip = 36;
cb163:
/* call 25 94 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(94),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c164:
/* move 3.2.9 94 */
  (*(REF(3)DOT(2)DOT(9).tsdr)->finalize)(REF(3)DOT(2)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(9) = REF(94);
  REF(94).tsdr = & dr_bottom;
/* ordenum_lit 95 , 47 */
  REF(95).value.ord_enum = 47;
  REF(95).tsdr = & dr_ord_enumeration;
/* insert 3.2.9 95 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(9),DEF(95)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 179 */
   goto c179;
c168:
/* size 96 59 */
  REF(96).value.integer = REF(59).value.table->size;
  REF(96).tsdr = & dr_integer;
/* isubtract 97 96 =(1) */
  if (!chf_isubtract(DEF(97),REF(96).value.integer,1)) goto ch_depletion;
/* lookup_at 98 59 97 */
  if((ch_i = REF(97).value.integer) < 0 || ch_i >= (ch_t = REF(59).value
    .table)->size) goto ch_notfound;
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(98).value,ch_i);
  REF(98).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 99 98 */
  REF(99) = REF(98);
/* equal . 99 =(47) , 178 */
  if ( REF(99).value.ord_enum == 47 ) goto c178;
/* ordenum_lit 100 , 47 */
  REF(100).value.ord_enum = 47;
  REF(100).tsdr = & dr_ord_enumeration;
/* insert 59 100 */
  if ((ch_returncode = insertfunc(DEF(59),DEF(100),FALSE,0)) != Normal)
     goto ch_raise_exception;
c178:
/* move 3.2.9 59 */
  (*(REF(3)DOT(2)DOT(9).tsdr)->finalize)(REF(3)DOT(2)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(9) = REF(59);
  REF(59).tsdr = & dr_bottom;
c179:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 185 */
   goto c185;
c182:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
  current->ip = 41;
cb183:
/* call 17.10 101 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17)DOT(10),
          arguments[1] = DEF(101),
          arguments[1+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c184:
/* move 3.2.9 101 */
  (*(REF(3)DOT(2)DOT(9).tsdr)->finalize)(REF(3)DOT(2)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(9) = REF(101);
  REF(101).tsdr = & dr_bottom;
c185:
/* branch_false 3.2.10 , 237 */
  if ( !REF(3)DOT(2)DOT(10).value.boolean ) goto c237;
/* block , 23 */
  if((ch_returncode = che_block(QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 102 , "storeobj" */
  if( !chs_lit(DEF(102),"storeobj") ) goto ch_depletion;
/* find 103 12 102 , 0 */
  if (findfunc(DEF(103),DEF(12),(
          arguments[0] = DEF(102),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 44;
cb189:
/* call 28 103.1 104 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(103)DOT(1),
          arguments[2] = DEF(104),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c190:
/* move 59 104 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(104);
  REF(104).tsdr = & dr_bottom;
/* chs_lit 105 , "" */
  if( !chs_lit(DEF(105),"") ) goto ch_depletion;
/* equal 106 59 105 */
  REF(106).value.boolean = (eq_table(REF(59).value,REF(105).value));
  REF(106).tsdr = & dr_boolean;
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
/* branch_false 106 , 220 */
  if ( !REF(106).value.boolean ) goto c220;
/* chs_lit 107 , "HCOBJPATH" */
  if( !chs_lit(DEF(107),"HCOBJPATH") ) goto ch_depletion;
/* find 108 21 107 , 0 */
  if (findfunc(DEF(108),DEF(21),(
          arguments[0] = DEF(107),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 59 108.1 */
  if((ch_returncode = cp_table(& ch_val, REF(108)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val;
  REF(59).tsdr = & dr_table;
/* block , 24 */
  if((ch_returncode = che_block(QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
/* initget 109 59 , 0,0 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(109),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c200:
/* get_or_err 109 59 */
  if ((ch_returncode = get_selected_object(DEF(109),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 109 =(58) , 200 */
  if ( REF(109).value.ord_enum != 58 ) goto c200;
/* position 110 109 */
  ch_frame = get_selector_frame(DEF(109),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(110).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(110).tsdr = &dr_integer;
/* endget 109 59 */
  end_selector(DEF(109),DEF(59),sched,GET);
/* move 111 110 */
  REF(111) = REF(110);
  REF(110).tsdr = & dr_bottom;
/* new_table 112 , 25 */
  if ((ch_returncode = che_new_table(DEF(112),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 113 59 , 0,0 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(113),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c209:
/* get_or_goto 113 59 , 216 */
  if ((ch_returncode = get_selected_object(DEF(113),DEF(59),sched)) != Normal)
     goto c216;
/* position 114 113 */
  ch_frame = get_selector_frame(DEF(113),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(114).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(114).tsdr = &dr_integer;
/* ige . 114 111 , 209 */
  if ( REF(114).value.integer >= REF(111).value.integer ) goto c209;
/* copy 115 113 */
  if((ch_returncode = (REF(113).tsdr->copy)(& ch_val, REF(113).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).value = ch_val;
  REF(115).tsdr = datarepmap[REF(113).tsdr->number];
/* insert 112 115 */
  if ((ch_returncode = insertfunc(DEF(112),DEF(115),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 209 */
   goto c209;
c216:
/* endget 113 59 */
  end_selector(DEF(113),DEF(59),sched,GET);
/* move 59 112 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(112);
  REF(112).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c220:
/* endblock */
  che_endblock(sched);
/* branch , 225 */
   goto c225;
c222:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
  current->ip = 50;
cb223:
/* call 25 116 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(116),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c224:
/* move 59 116 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(116);
  REF(116).tsdr = & dr_bottom;
c225:
/* size 117 59 */
  REF(117).value.integer = REF(59).value.table->size;
  REF(117).tsdr = & dr_integer;
/* isubtract 118 117 =(1) */
  if (!chf_isubtract(DEF(118),REF(117).value.integer,1)) goto ch_depletion;
/* lookup_at 119 59 118 */
  if((ch_i = REF(118).value.integer) < 0 || ch_i >= (ch_t = REF(59).value
    .table)->size) goto ch_notfound;
  (*(REF(119).tsdr)->finalize)(REF(119).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(119).value,ch_i);
  REF(119).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 120 119 */
  REF(120) = REF(119);
/* equal . 120 =(47) , 235 */
  if ( REF(120).value.ord_enum == 47 ) goto c235;
/* ordenum_lit 121 , 47 */
  REF(121).value.ord_enum = 47;
  REF(121).tsdr = & dr_ord_enumeration;
/* insert 59 121 */
  if ((ch_returncode = insertfunc(DEF(59),DEF(121),FALSE,0)) != Normal)
     goto ch_raise_exception;
c235:
/* move 3.2.11 59 */
  (*(REF(3)DOT(2)DOT(11).tsdr)->finalize)(REF(3)DOT(2)DOT(11).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(11) = REF(59);
  REF(59).tsdr = & dr_bottom;
/* branch , 239 */
   goto c239;
c237:
  current->ip = 53;
cb237:
/* call 17.10 122 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17)DOT(10),
          arguments[1] = DEF(122),
          arguments[1+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c238:
/* move 3.2.11 122 */
  (*(REF(3)DOT(2)DOT(11).tsdr)->finalize)(REF(3)DOT(2)DOT(11).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(11) = REF(122);
  REF(122).tsdr = & dr_bottom;
c239:
/* new_table 3.2.13 , 26 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(13),QUAL(26)
    ,sched)) != Normal)  goto ch_raise_exception;
/* block , 27 */
  if((ch_returncode = che_block(QUAL(27),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 123 , "interpret" */
  if( !chs_lit(DEF(123),"interpret") ) goto ch_depletion;
/* find 124 12 123 , 0 */
  if (findfunc(DEF(124),DEF(12),(
          arguments[0] = DEF(123),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 56;
cb243:
/* call 28 124.1 125 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(124)DOT(1),
          arguments[2] = DEF(125),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c244:
/* move 59 125 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(125);
  REF(125).tsdr = & dr_bottom;
/* block , 28 */
  if((ch_returncode = che_block(QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
c246:
/* noop */
  
/* block , 29 */
  if((ch_returncode = che_block(QUAL(29),sched)) != Normal)
     goto ch_raise_exception;
/* initget 126 59 , 0,0 */
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(126),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c250:
/* get_or_err 126 59 */
  if ((ch_returncode = get_selected_object(DEF(126),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 126 =(44) , 250 */
  if ( REF(126).value.ord_enum == 44 ) goto c250;
/* position 127 126 */
  ch_frame = get_selector_frame(DEF(126),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(127).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(127).tsdr = &dr_integer;
/* endget 126 59 */
  end_selector(DEF(126),DEF(59),sched,GET);
/* move 111 127 */
  REF(111) = REF(127);
  REF(127).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 260 */
   goto c260;
c259:
/* exit , 30 */
  ch_e = handler_type__exit; ch_val = QUAL(30); goto ch_exception;
c260:
/* new_table 128 , 25 */
  if ((ch_returncode = che_new_table(DEF(128),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 59 */
  if (REF(59).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(59))) != Normal)
       goto ch_raise_exception;
/* initget 129 59 , 0,0 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(129),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c263:
/* get_or_goto 129 59 , 270 */
  if ((ch_returncode = get_selected_object(DEF(129),DEF(59),sched)) != Normal)
     goto c270;
/* position 130 129 */
  ch_frame = get_selector_frame(DEF(129),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(130).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(130).tsdr = &dr_integer;
/* ige . 130 111 , 263 */
  if ( REF(130).value.integer >= REF(111).value.integer ) goto c263;
/* remove 131 129 59 */
  if ((ch_returncode = che_remove(DEF(131),DEF(129),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* insert 128 131 */
  if ((ch_returncode = insertfunc(DEF(128),DEF(131),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 263 */
   goto c263;
c270:
/* endget 129 59 */
  end_selector(DEF(129),DEF(59),sched,GET);
/* initget 132 59 , 0,0 */
  (*(REF(132).tsdr)->finalize)(REF(132).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(132),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c272:
/* get_or_err 132 59 */
  if ((ch_returncode = get_selected_object(DEF(132),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 132 =(44) , 272 */
  if ( REF(132).value.ord_enum != 44 ) goto c272;
/* position 133 132 */
  ch_frame = get_selector_frame(DEF(132),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(133).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(133).tsdr = &dr_integer;
/* endget 132 59 */
  end_selector(DEF(132),DEF(59),sched,GET);
/* move 111 133 */
  REF(111) = REF(133);
  REF(133).tsdr = & dr_bottom;
/* new_table 128 , 25 */
  if ((ch_returncode = che_new_table(DEF(128),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 59 */
  if (REF(59).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(59))) != Normal)
       goto ch_raise_exception;
/* initget 134 59 , 0,0 */
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(134),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c282:
/* get_or_goto 134 59 , 289 */
  if ((ch_returncode = get_selected_object(DEF(134),DEF(59),sched)) != Normal)
     goto c289;
/* position 135 134 */
  ch_frame = get_selector_frame(DEF(134),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(135).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(135).tsdr = &dr_integer;
/* ige . 135 111 , 282 */
  if ( REF(135).value.integer >= REF(111).value.integer ) goto c282;
/* remove 136 134 59 */
  if ((ch_returncode = che_remove(DEF(136),DEF(134),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* insert 128 136 */
  if ((ch_returncode = insertfunc(DEF(128),DEF(136),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 282 */
   goto c282;
c289:
/* endget 134 59 */
  end_selector(DEF(134),DEF(59),sched,GET);
/* insert 3.2.13 128 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(13),DEF(128)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 246 */
   goto c246;
c292:
/* endblock */
  che_endblock(sched);
/* branch , 296 */
   goto c296;
c294:
/* insert 3.2.13 59 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(13),DEF(59)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c296:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c300:
/* new_table 3.2.14 , 31 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(14),QUAL(31)
    ,sched)) != Normal)  goto ch_raise_exception;
/* block , 32 */
  if((ch_returncode = che_block(QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 137 , "debug" */
  if( !chs_lit(DEF(137),"debug") ) goto ch_depletion;
/* find 138 12 137 , 0 */
  if (findfunc(DEF(138),DEF(12),(
          arguments[0] = DEF(137),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 69;
cb304:
/* call 28 138.1 139 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(138)DOT(1),
          arguments[2] = DEF(139),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c305:
/* move 59 139 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(139);
  REF(139).tsdr = & dr_bottom;
/* block , 33 */
  if((ch_returncode = che_block(QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
c307:
/* noop */
  
/* initget 140 59 , 0,0 */
  (*(REF(140).tsdr)->finalize)(REF(140).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(140),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c310:
/* get_or_err 140 59 */
  if ((ch_returncode = get_selected_object(DEF(140),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 140 =(44) , 310 */
  if ( REF(140).value.ord_enum != 44 ) goto c310;
/* position 141 140 */
  ch_frame = get_selector_frame(DEF(140),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(141).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(141).tsdr = &dr_integer;
/* endget 140 59 */
  end_selector(DEF(140),DEF(59),sched,GET);
/* move 111 141 */
  REF(111) = REF(141);
  REF(141).tsdr = & dr_bottom;
/* new_table 128 , 25 */
  if ((ch_returncode = che_new_table(DEF(128),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 59 */
  if (REF(59).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(59))) != Normal)
       goto ch_raise_exception;
/* initget 142 59 , 0,0 */
  (*(REF(142).tsdr)->finalize)(REF(142).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(142),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c320:
/* get_or_goto 142 59 , 327 */
  if ((ch_returncode = get_selected_object(DEF(142),DEF(59),sched)) != Normal)
     goto c327;
/* position 143 142 */
  ch_frame = get_selector_frame(DEF(142),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(143).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(143).tsdr = &dr_integer;
/* ige . 143 111 , 320 */
  if ( REF(143).value.integer >= REF(111).value.integer ) goto c320;
/* remove 144 142 59 */
  if ((ch_returncode = che_remove(DEF(144),DEF(142),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* insert 128 144 */
  if ((ch_returncode = insertfunc(DEF(128),DEF(144),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 320 */
   goto c320;
c327:
/* endget 142 59 */
  end_selector(DEF(142),DEF(59),sched,GET);
/* block , 34 */
  if((ch_returncode = che_block(QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.14 128 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(14),DEF(128)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c332:
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* privatize 59 */
  if (REF(59).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(59))) != Normal)
       goto ch_raise_exception;
/* initget 145 59 , 0,0 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(145),DEF(59),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 145 59 */
  if ((ch_returncode = get_selected_object(DEF(145),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* remove 63 145 59 */
  if ((ch_returncode = che_remove(DEF(63),DEF(145),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* endget 145 59 */
  end_selector(DEF(145),DEF(59),sched,GET);
/* branch , 307 */
   goto c307;
c339:
/* endblock */
  che_endblock(sched);
/* branch , 342 */
   goto c342;
c341:
/* insert 3.2.14 59 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(14),DEF(59)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c342:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c345:
/* block , 35 */
  if((ch_returncode = che_block(QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 146 , "chconfig" */
  if( !chs_lit(DEF(146),"chconfig") ) goto ch_depletion;
/* find 147 12 146 , 0 */
  if (findfunc(DEF(147),DEF(12),(
          arguments[0] = DEF(146),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 79;
cb348:
/* call 28 147.1 148 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(147)DOT(1),
          arguments[2] = DEF(148),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c349:
/* move 59 148 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(148);
  REF(148).tsdr = & dr_bottom;
/* chs_lit 149 , "" */
  if( !chs_lit(DEF(149),"") ) goto ch_depletion;
/* equal 150 59 149 */
  REF(150).value.boolean = (eq_table(REF(59).value,REF(149).value));
  REF(150).tsdr = & dr_boolean;
/* discard 149 */
  (*(REF(149).tsdr)->finalize)(REF(149).value,F_DISCARD,sched);
  REF(149).tsdr = & dr_bottom;
/* branch_false 150 , 359 */
  if ( !REF(150).value.boolean ) goto c359;
/* lookup_at 151 59 =(0) */
  if ( !((ch_t = REF(59).value.table)->size) ) goto ch_notfound;
  (*(REF(151).tsdr)->finalize)(REF(151).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(151).value,0);
  REF(151).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 63 151 */
  if((ch_returncode = (REF(151).tsdr->copy)(& ch_val, REF(151).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = datarepmap[REF(151).tsdr->number];
/* exit , 14 */
  ch_e = handler_type__exit; ch_val = QUAL(14); goto ch_exception;
c359:
/* endblock */
  che_endblock(sched);
/* branch , 383 */
   goto c383;
c361:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* block , 36 */
  if((ch_returncode = che_block(QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 152 , "HROOTDIR" */
  if( !chs_lit(DEF(152),"HROOTDIR") ) goto ch_depletion;
/* find 153 21 152 , 0 */
  if (findfunc(DEF(153),DEF(21),(
          arguments[0] = DEF(152),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 59 153.1 */
  if((ch_returncode = cp_table(& ch_val, REF(153)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).value = ch_val;
  REF(59).tsdr = & dr_table;
/* size 154 59 */
  REF(154).value.integer = REF(59).value.table->size;
  REF(154).tsdr = & dr_integer;
/* isubtract 155 154 =(1) */
  if (!chf_isubtract(DEF(155),REF(154).value.integer,1)) goto ch_depletion;
/* lookup_at 156 59 155 */
  if((ch_i = REF(155).value.integer) < 0 || ch_i >= (ch_t = REF(59).value
    .table)->size) goto ch_notfound;
  (*(REF(156).tsdr)->finalize)(REF(156).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(156).value,ch_i);
  REF(156).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 157 156 */
  REF(157) = REF(156);
/* equal . 157 =(47) , 376 */
  if ( REF(157).value.ord_enum == 47 ) goto c376;
/* ordenum_lit 158 , 47 */
  REF(158).value.ord_enum = 47;
  REF(158).tsdr = & dr_ord_enumeration;
/* insert 59 158 */
  if ((ch_returncode = insertfunc(DEF(59),DEF(158),FALSE,0)) != Normal)
     goto ch_raise_exception;
c376:
/* chs_lit 159 , "chaux/chcode.cfg" */
  if( !chs_lit(DEF(159),"chaux/chcode.cfg") ) goto ch_depletion;
/* merge 59 159 */
  if ((ch_returncode = mergefunc(DEF(59),DEF(159),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 383 */
   goto c383;
c380:
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* chs_lit 59 , "/usr/local/hermes/chaux/chcode.cfg" */
  if( !chs_lit(DEF(59),"/usr/local/hermes/chaux/chcode.cfg") )
     goto ch_depletion;
c383:
/* noop */
  
/* lookup_at 160 59 =(0) */
  if ( !((ch_t = REF(59).value.table)->size) ) goto ch_notfound;
  (*(REF(160).tsdr)->finalize)(REF(160).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(160).value,0);
  REF(160).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 161 160 */
  REF(161) = REF(160);
/* equal . 161 =(47) , 433 */
  if ( REF(161).value.ord_enum == 47 ) goto c433;
  current->ip = 84;
cb389:
/* call 25 162 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(162),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c390:
/* chs_lit 163 , "/" */
  if( !chs_lit(DEF(163),"/") ) goto ch_depletion;
/* concat 164 162 163 */
  if ((ch_returncode = che_concat(DEF(164),DEF(162),DEF(163)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 162 */
  (*(REF(162).tsdr)->finalize)(REF(162).value,F_DISCARD,sched);
  REF(162).tsdr = & dr_bottom;
/* discard 163 */
  (*(REF(163).tsdr)->finalize)(REF(163).value,F_DISCARD,sched);
  REF(163).tsdr = & dr_bottom;
/* concat 165 164 59 */
  if ((ch_returncode = che_concat(DEF(165),DEF(164),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* discard 164 */
  (*(REF(164).tsdr)->finalize)(REF(164).value,F_DISCARD,sched);
  REF(164).tsdr = & dr_bottom;
/* enum_lit 166 , 0 */
  REF(166).value.enumeration = 0;
  REF(166).tsdr = & dr_enumeration;
  current->ip = 86;
cb397:
/* call 17.11 165 166 167 , 37 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17)DOT(11),
          arguments[1] = DEF(165),
          arguments[2] = DEF(166),
          arguments[3] = DEF(167),
          arguments[3+1] = nil,& arguments[0]),QUAL(37),sched)) != Normal)
     goto ch_raise_exception;
  return;
c398:
/* branch_false 167 , 408 */
  if ( !REF(167).value.boolean ) goto c408;
  current->ip = 88;
cb399:
/* call 25 168 , 20 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(25),
          arguments[1] = DEF(168),
          arguments[1+1] = nil,& arguments[0]),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  return;
c400:
/* chs_lit 169 , "/" */
  if( !chs_lit(DEF(169),"/") ) goto ch_depletion;
/* concat 170 168 169 */
  if ((ch_returncode = che_concat(DEF(170),DEF(168),DEF(169)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 168 */
  (*(REF(168).tsdr)->finalize)(REF(168).value,F_DISCARD,sched);
  REF(168).tsdr = & dr_bottom;
/* discard 169 */
  (*(REF(169).tsdr)->finalize)(REF(169).value,F_DISCARD,sched);
  REF(169).tsdr = & dr_bottom;
/* concat 171 170 59 */
  if ((ch_returncode = che_concat(DEF(171),DEF(170),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* discard 170 */
  (*(REF(170).tsdr)->finalize)(REF(170).value,F_DISCARD,sched);
  REF(170).tsdr = & dr_bottom;
/* move 59 171 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(171);
  REF(171).tsdr = & dr_bottom;
/* branch , 433 */
   goto c433;
c408:
/* block , 38 */
  if((ch_returncode = che_block(QUAL(38),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 172 , "HROOTDIR" */
  if( !chs_lit(DEF(172),"HROOTDIR") ) goto ch_depletion;
/* find 173 21 172 , 0 */
  if (findfunc(DEF(173),DEF(21),(
          arguments[0] = DEF(172),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 174 173.1 */
  if((ch_returncode = cp_table(& ch_val, REF(173)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(174).tsdr)->finalize)(REF(174).value,F_DISCARD,sched);
  REF(174).value = ch_val;
  REF(174).tsdr = & dr_table;
/* size 175 174 */
  REF(175).value.integer = REF(174).value.table->size;
  REF(175).tsdr = & dr_integer;
/* isubtract 176 175 =(1) */
  if (!chf_isubtract(DEF(176),REF(175).value.integer,1)) goto ch_depletion;
/* lookup_at 177 174 176 */
  if((ch_i = REF(176).value.integer) < 0 || ch_i >= (ch_t = REF(174).value
    .table)->size) goto ch_notfound;
  (*(REF(177).tsdr)->finalize)(REF(177).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(177).value,ch_i);
  REF(177).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 178 177 */
  REF(178) = REF(177);
/* equal . 178 =(47) , 422 */
  if ( REF(178).value.ord_enum == 47 ) goto c422;
/* ordenum_lit 179 , 47 */
  REF(179).value.ord_enum = 47;
  REF(179).tsdr = & dr_ord_enumeration;
/* insert 174 179 */
  if ((ch_returncode = insertfunc(DEF(174),DEF(179),FALSE,0)) != Normal)
     goto ch_raise_exception;
c422:
/* concat 180 174 59 */
  if ((ch_returncode = che_concat(DEF(180),DEF(174),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* enum_lit 181 , 0 */
  REF(181).value.enumeration = 0;
  REF(181).tsdr = & dr_enumeration;
  current->ip = 91;
cb424:
/* call 17.11 180 181 182 , 37 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(17)DOT(11),
          arguments[1] = DEF(180),
          arguments[2] = DEF(181),
          arguments[3] = DEF(182),
          arguments[3+1] = nil,& arguments[0]),QUAL(37),sched)) != Normal)
     goto ch_raise_exception;
  return;
c425:
/* branch_false 182 , 428 */
  if ( !REF(182).value.boolean ) goto c428;
/* concat 59 174 59 */
  if ((ch_returncode = che_concat(DEF(59),DEF(174),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
c428:
/* endblock */
  che_endblock(sched);
/* branch , 431 */
   goto c431;
c430:
/* discard 174 */
  (*(REF(174).tsdr)->finalize)(REF(174).value,F_DISCARD,sched);
  REF(174).tsdr = & dr_bottom;
c431:
/* discard 174 */
  (*(REF(174).tsdr)->finalize)(REF(174).value,F_DISCARD,sched);
  REF(174).tsdr = & dr_bottom;
/* discard 180 */
  (*(REF(180).tsdr)->finalize)(REF(180).value,F_DISCARD,sched);
  REF(180).tsdr = & dr_bottom;
c433:
/* discard 165 */
  (*(REF(165).tsdr)->finalize)(REF(165).value,F_DISCARD,sched);
  REF(165).tsdr = & dr_bottom;
/* move 3.2.16 59 */
  (*(REF(3)DOT(2)DOT(16).tsdr)->finalize)(REF(3)DOT(2)DOT(16).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(16) = REF(59);
  REF(59).tsdr = & dr_bottom;
/* prog_lit 183 , 39 */
  if ((ch_returncode = che_prog_lit(DEF(183),QUAL(39),sched)) != Normal) 
     goto ch_raise_exception;
/* create 184 183 , 40 */
  if ((ch_returncode = che_create(DEF(184),DEF(183),QUAL(40)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 183 */
  (*(REF(183).tsdr)->finalize)(REF(183).value,F_DISCARD,sched);
  REF(183).tsdr = & dr_bottom;
  current->ip = 96;
cb438:
/* call 184 3.2.16 21 17.3 185 , 41 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(184),
          arguments[1] = DEF(3)DOT(2)DOT(16),
          arguments[2] = DEF(21),
          arguments[3] = DEF(17)DOT(3),
          arguments[4] = DEF(185),
          arguments[4+1] = nil,& arguments[0]),QUAL(41),sched)) != Normal)
     goto ch_raise_exception;
  return;
c439:
/* move 3.3 185 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(185);
  REF(185).tsdr = & dr_bottom;
/* block , 42 */
  if((ch_returncode = che_block(QUAL(42),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 186 , "compilecmd" */
  if( !chs_lit(DEF(186),"compilecmd") ) goto ch_depletion;
/* find 187 12 186 , 0 */
  if (findfunc(DEF(187),DEF(12),(
          arguments[0] = DEF(186),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
  current->ip = 98;
cb443:
/* call 28 187.1 188 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(187)DOT(1),
          arguments[2] = DEF(188),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c444:
/* move 59 188 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59) = REF(188);
  REF(188).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 456 */
   goto c456;
c447:
/* block , 43 */
  if((ch_returncode = che_block(QUAL(43),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 189 , "COMPILECMD" */
  if( !chs_lit(DEF(189),"COMPILECMD") ) goto ch_depletion;
/* find 190 3.3 189 , 0 */
  if (findfunc(DEF(190),DEF(3)DOT(3),(
          arguments[0] = DEF(189),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 191 190.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(190)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(191).tsdr)->finalize)(REF(191).value,F_DISCARD,sched);
  REF(191).value = ch_val;
  REF(191).tsdr = & dr_polymorph;
/* unwrap 59 191 , 44 */
  if ((ch_returncode = che_unwrap(DEF(59),DEF(191),QUAL(44),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 456 */
   goto c456;
c454:
/* chs_lit 59 , "cc -o ~O ~C" */
  if( !chs_lit(DEF(59),"cc -o ~O ~C") ) goto ch_depletion;
c456:
/* prog_lit 192 , 45 */
  if ((ch_returncode = che_prog_lit(DEF(192),QUAL(45),sched)) != Normal) 
     goto ch_raise_exception;
/* create 193 192 , 46 */
  if ((ch_returncode = che_create(DEF(193),DEF(192),QUAL(46)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 192 */
  (*(REF(192).tsdr)->finalize)(REF(192).value,F_DISCARD,sched);
  REF(192).tsdr = & dr_bottom;
/* move 194 193 */
  (*(REF(194).tsdr)->finalize)(REF(194).value,F_DISCARD,sched);
  REF(194) = REF(193);
  REF(193).tsdr = & dr_bottom;
  current->ip = 103;
cb460:
/* call 194 59 3.3 21 195 , 47 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(194),
          arguments[1] = DEF(59),
          arguments[2] = DEF(3)DOT(3),
          arguments[3] = DEF(21),
          arguments[4] = DEF(195),
          arguments[4+1] = nil,& arguments[0]),QUAL(47),sched)) != Normal)
     goto ch_raise_exception;
  return;
c461:
/* move 3.2.15 195 */
  (*(REF(3)DOT(2)DOT(15).tsdr)->finalize)(REF(3)DOT(2)DOT(15).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(15) = REF(195);
  REF(195).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 471 */
   goto c471;
c465:
/* discard 3.2.3 */
  (*(REF(3)DOT(2)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(3).tsdr = & dr_bottom;
/* discard 3.2.4 */
  (*(REF(3)DOT(2)DOT(4).tsdr)->finalize)(REF(3)DOT(2)DOT(4).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4).tsdr = & dr_bottom;
/* discard 3.2.9 */
  (*(REF(3)DOT(2)DOT(9).tsdr)->finalize)(REF(3)DOT(2)DOT(9).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(9).tsdr = & dr_bottom;
/* discard 3.2.11 */
  (*(REF(3)DOT(2)DOT(11).tsdr)->finalize)(REF(3)DOT(2)DOT(11).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(11).tsdr = & dr_bottom;
/* discard 3.2.13 */
  (*(REF(3)DOT(2)DOT(13).tsdr)->finalize)(REF(3)DOT(2)DOT(13).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(13).tsdr = & dr_bottom;
/* discard 3.2.14 */
  (*(REF(3)DOT(2)DOT(14).tsdr)->finalize)(REF(3)DOT(2)DOT(14).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(14).tsdr = & dr_bottom;
c471:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 184 */
  (*(REF(184).tsdr)->finalize)(REF(184).value,F_DISCARD,sched);
  REF(184).tsdr = & dr_bottom;
/* discard 194 */
  (*(REF(194).tsdr)->finalize)(REF(194).value,F_DISCARD,sched);
  REF(194).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c476:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
